none
Small Basic on WinXP RRS feed

  • Question

  • Hi all,

    I need to install small basic on a win xp sp3 system. the latest version will not work since it requires .NET framework 4.5, which does not run on xp.

    I could not find any earlier version of small basic on microsoft.com or in the internet. Any ideas where I can get an xp-compatible version (1.0?)

    cheers

    Kai

    Wednesday, November 11, 2015 11:51 AM

Answers

All replies

  • I was unable to find an online installer at MS.

    I downloaded this one Microsoft Small Basic 1.0 which's a bit over 5 MB, disconnected my IP connection, and installed it then ran the app. It didn't require an internet connection to install anything. For .Net 3.5 (or 4.0 possibly).

    I suppose if .Net 3.5 (or 4.0 possibly) are not installed on a PC that you attempt to install this on then it may attempt to download and install one of them as a prerequisite in the MSI for installing SB 1.0. So you may need to download the ISO for .Net 3.5 (or 4.0 possibly) so you can install that on a PC if it is not installed already prior to attempting to install SB 1.0.

    Well here's the system requirements.

    Supported Operating System

           Windows 7, Windows Server 2003, Windows Server 2008, Windows Vista, Windows XP

           .Net Framework 3.5SP1


    La vida loca

    Wednesday, November 11, 2015 12:29 PM
  • If the PC's in question that you want to install small basic on do not have .Net Framework 3.5 SP1 then read this thread about issues with offline install of same and where to get same. I found at least one link in thread broken and did not check any others.

    .Net framework offline installer

    Update: I did find this link to Microsoft 231 MB or so download of installer for .Net Framework 3.5 SP1 offline installer supposedly.

    http://download.microsoft.com/download/2/0/e/20e90413-712f-438c-988e-fdaa79a8ac3d/dotnetfx35.exe


    La vida loca


    Wednesday, November 11, 2015 12:40 PM
  • LitDev has all the previous versions of SmallBasic.msi Installers on his site LitDev-Other resources.

    Take the SB v 1.0 Installer, this works on XP.

    (best together with LitDev 1.0.0.133 extension for XP)
    Wednesday, November 11, 2015 12:53 PM
    Answerer